# ArgumentError class

Error thrown when a function is passed an unacceptable argument.

Inheritance
  - Object
  - Error
  - ArgumentError
Implementers
  - IndexError
  - RangeError

## Constructors

ArgumentError([dynamic message ])
  The `message` describes the erroneous argument. [...]
ArgumentError.notNull([String name ])
  Create an argument error for a `null` argument that must not be `null`.
ArgumentError.value(dynamic value, [ String name, dynamic message ])
  Creates error containing the invalid `value`. [...]

## Properties

invalidValue → dynamic
  The invalid value.
  final
message → dynamic
  Message describing the problem.
  final
name → String
  Name of the invalid argument, if available.
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
stackTrace → StackTrace
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Static Methods

checkNotNull(Object argument, [ String name ]) → void
  Throws if `argument` is `null`.
  @Since("2.1")